* * *

Author Topic: program using ptcgraph does not compile with 3.0.2  (Read 478 times)

jms

  • Newbie
  • Posts: 3
program using ptcgraph does not compile with 3.0.2
« on: August 09, 2017, 10:36:07 pm »
I have a program using unit fpcgraph ptcgraph. It was working with an older version of freepascal, but now with version 3.0.2 of fpc, I get this error while compiling:
Quote
Free Pascal Compiler version 3.0.2+dfsg-2 [2017/04/09] for x86_64
Copyright (c) 1993-2017 by Florian Klaempfl and others
Target OS: Linux for x86-64
Compiling hypercub.pas
Compiling ptcgraph.pp
Fatal: Can't find unit syncobjs used by ptcwrapper
Fatal: Compilation aborted
Error: /usr/bin/ppcx64 returned an error exitcode
ptcwrapper is referencing unit syncobjs, but this unit is not compiled.

The problem was that package fp-units-fcl-3.0.2 was not installed.
« Last Edit: August 11, 2017, 03:03:29 pm by jms »

Bart

  • Hero Member
  • *****
  • Posts: 2758
    • Bart en Mariska's Webstek
Re: program using fpcgraph does not compile with 3.0.2
« Reply #1 on: August 09, 2017, 11:11:12 pm »
Is fpcgraph part of the standard fpc distribution?

Bart

Leledumbo

  • Hero Member
  • *****
  • Posts: 7741
  • Programming + Glam Metal + Tae Kwon Do = Me
Re: program using ptcgraph does not compile with 3.0.2
« Reply #2 on: August 12, 2017, 12:58:03 am »
The problem was that package fp-units-fcl-3.0.2 was not installed.
Probably (another) Debian/Ubuntu packaging bug.

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus